Transactions
Available Providers available providers
Lists the integration classes, gateway adapter classes and active payment accounts configured for the current company. Use the values to build filters for the other payment reports. Requires a company admin Bearer token with the reports.view permission.
GET
/
api
/
v202506
/
payments
/
company_reports
/
available_providers
Available Providers available providers
curl --request GET \
--url https://api.fluid.app/api/v202506/payments/company_reports/available_providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v202506/payments/company_reports/available_providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v202506/payments/company_reports/available_providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration_classes": [
"Bread",
"CreditCard"
],
"adapter_classes": [
"ActiveMerchant::Billing::NmiGateway"
],
"payment_accounts": [
{
"id": 272,
"name": "NMI",
"integration_class": "CreditCard",
"adapter_class": "ActiveMerchant::Billing::NmiGateway",
"active": true
},
{
"id": 318,
"name": "Bread",
"integration_class": "Bread",
"adapter_class": null,
"active": true
}
],
"meta": {
"request_id": "c0a8012e-7f3b-4d6a-9e21-5b8d4f2a6c17",
"timestamp": "2026-09-30T14:15:22Z"
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}⌘I
Available Providers available providers
